Tag Archives: Java

ebrary Reader: Will it work with my browser?

Mostly, yes. If you want the full browser story from ebrary, visit here. you must use Java 1.6 or higher you must have browser cookies enabled and you may need to turn off pop-up blockers for ebrary.com use Internet Explorer … Continue reading

Posted in Browsers, Databases, eBooks | Tagged , , , | Comments Off on ebrary Reader: Will it work with my browser?